Page MenuHomePhabricator

Update icons in AMC
Closed, ResolvedPublic2 Story Points

Description

Description

We will need to replace a few of the icons used in AMC mode. At least one of the icon changes will be relevant for all users (contributions icon).

Icons to replace

link/actionltr svgrtl svglocation in UI
community portalmain menu
contributions (all logged in users, AMC and non-AMC)main menu (eventually user menu)
info(same)article "more" menu
special pagesmain menu

QA Results

link/actionltr svgrtl svgdetails
AC1: community portalT222228#5245662
AC2: contributions (all logged in users, AMC and non-AMC)T222228#5245662
AC3: infoT222228#5245662
AC4: special pagesT222228#5245662

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2019, 9:07 PM
alexhollender removed alexhollender as the assignee of this task.May 21 2019, 7:32 PM
alexhollender triaged this task as Normal priority.
alexhollender updated the task description. (Show Details)
alexhollender added a subscriber: ovasileva.

@ovasileva this is ready to be implemented

ovasileva updated the task description. (Show Details)May 22 2019, 4:14 PM

@alexhollender - since we're not currently using recent changes in the menu, we'll add that icon when we add recent changes back to the main menu

ovasileva updated the task description. (Show Details)May 22 2019, 4:16 PM
ovasileva updated the task description. (Show Details)
ovasileva set the point value for this task to 2.
alexhollender removed the point value for this task.
ovasileva set the point value for this task to 2.May 22 2019, 4:51 PM
Jdrewniak claimed this task.Jun 5 2019, 8:58 PM

Change 514707 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Updating icons for AMC mode

https://gerrit.wikimedia.org/r/514707

Jdrewniak removed Jdrewniak as the assignee of this task.Jun 6 2019, 12:54 PM
Jdrewniak added a subscriber: Jdrewniak.

Change 514707 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Updating icons for AMC mode

https://gerrit.wikimedia.org/r/514707

Edtadros assigned this task to ovasileva.Jun 9 2019, 4:16 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

link/actionltr svgrtl svg
Main Menu non-AMC
Main Menu AMC
More Menu AMC
AC1: community portal
AC2: contributions (all logged in users, AMC and non-AMC)
AC3: info
AC4: special pages
Edtadros updated the task description. (Show Details)Jun 9 2019, 4:17 PM
ovasileva closed this task as Resolved.Jun 11 2019, 1:22 PM

Looks good!